libzypp 17.37.10

zyppng::ProvideItem::ItemStats Struct Reference

`#include <zypp-media/ng/provideitem.h>`

## Public Attributes
std::chrono::steady_clock::time_point | _pulseTime
uint | _runningRequests
zypp::ByteCount | _bytesProvided
zypp::ByteCount | _bytesExpected

## Detailed Description

Definition at line 45 of file provideitem.h.

## Member Data Documentation

## ◆ _pulseTime

std::chrono::steady_clock::time_point zyppng::ProvideItem::ItemStats::_pulseTime

Definition at line 46 of file provideitem.h.

## ◆ _runningRequests

uint zyppng::ProvideItem::ItemStats::_runningRequests

Definition at line 47 of file provideitem.h.

## ◆ _bytesProvided

zypp::ByteCount zyppng::ProvideItem::ItemStats::_bytesProvided

Definition at line 48 of file provideitem.h.

## ◆ _bytesExpected

zypp::ByteCount zyppng::ProvideItem::ItemStats::_bytesExpected

Definition at line 49 of file provideitem.h.

The documentation for this struct was generated from the following file:

- zypp-media/ng/provideitem.h